org.apache.ignite.internal.processors.service

## Class LazyServiceConfiguration

- java.lang.Object
- - org.apache.ignite.services.ServiceConfiguration
  - - org.apache.ignite.internal.processors.service.LazyServiceConfiguration

All Implemented Interfaces:
  Serializable

    public class LazyServiceConfiguration
    extends ServiceConfiguration

Lazy service configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.services.ServiceConfiguration

`affKey, cacheName, maxPerNodeCnt, name, nodeFilter, totalCnt`

### Constructor Summary

Constructors
Constructor and Description
`LazyServiceConfiguration()` Default constructor.
`LazyServiceConfiguration(ServiceConfiguration cfg, byte[] srvcBytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equalsIgnoreNodeFilter(Object o)` Checks if configurations are equal ignoring the node filter.
`Service` `getService()` Gets service instance.
`byte[]` `serviceBytes()`
`String` `serviceClassName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.services.ServiceConfiguration

`equals, getAffinityKey, getCacheName, getMaxPerNodeCount, getName, getNodeFilter, getTotalCount, hashCode, setAffinityKey, setCacheName, setMaxPerNodeCount, setName, setNodeFilter, setService, setTotalCount`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LazyServiceConfiguration

    public LazyServiceConfiguration()

Default constructor.

#### LazyServiceConfiguration

    public LazyServiceConfiguration(ServiceConfiguration cfg,
                                    byte[] srvcBytes)

Parameters:
  `cfg` - Configuration.
  `srvcBytes` - Marshaller service.

### Method Detail

#### serviceBytes

    public byte[] serviceBytes()

Returns:
  Service bytes.

#### serviceClassName

    public String serviceClassName()

Returns:
  Service class name.

#### getService

    public Service getService()

Gets service instance.

This parameter is mandatory when deploying a service.

Overrides:
  `getService` in class `ServiceConfiguration`
Returns:
  Service instance.

#### equalsIgnoreNodeFilter

    public boolean equalsIgnoreNodeFilter(Object o)

Checks if configurations are equal ignoring the node filter. Node filters control on which nodes the services are deployed and often can be ignored for equality checks.

Overrides:
  `equalsIgnoreNodeFilter` in class `ServiceConfiguration`
Parameters:
  `o` - Other configuration.
Returns:
  `True` if configurations are equal, `false` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `ServiceConfiguration`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018